######################
#vtpl.ms.primaryVmsIp: Possible_Values:[ip], Default_Value:[127.0.0.1] Which VMS this application will connect to get the camera list
#vtpl.vms.auxiliaryVmsIp: Possible_Values:[ip], Default_Value:[127.0.0.1] Which VMS this application will connect to get the camera list
#vtpl.vms.snapManagerServerIp: Possible_Values:[ip], Default_Value:[127.0.0.1] Which Snap Manager Server this application will connect to get the camera snap
#vtpl.das.type: Possible_Values:[0, 1, 2, 3], Default_Value:[0]
# 0: Unknown
# 1: EDGE DAS(EDAS)
# 2: CLOUD DAS(CDAS)
# 3: ALL IN ONE(EDAS & CDAS Both)
#vtpl.snap.transcodeDecoderType: Possible_Values:[1, 2, 3, 4], Default_Value:[1]
# 1: DECODER_TYPE_SOFTWARE
# 2: DECODER_TYPE_HARDWARE
# 3: DECODER_TYPE_AUTO
# 4: DECODER_TYPE_LEGACY
#vtpl.snap.imageDump: Possible_Values:[true, false], Default_Value:[false] true: Application will not delete any uploaded images from '..vtpl_cnf/das/temp/uploaded_image'
#vtpl.das.sleepToReduceCPUUtilization: Possible_Values:[-1 or > 0], Default_Value:[-1]
# -1: No Sleep
#vtpl.das.ignorableDistance: Possible_Values:[>= 0], Default_Value:[5.0]Application will not generate event if object rectangle is near to the lines
#vtpl.das.limitInMsForTemporaryJob: Possible_Values:[ > 0], Default_Value:[300000]
# Application will call the database with startTime, startTime+limit
#vtpl.das.limitInMsForPermanentJob: Possible_Values:[ > 0], Default_Value:[30000]
# Application will call the database with startTime, startTime+limit
#vtpl.das.resumeJobFromSearchedCompletedTill: Possible_Values:[true, false], Default_Value:[false] true: Application will start permanent job from where it was left
# false: Application will start permanent job from current system time onwards
#vtpl.das.temporary.job.storage.type: Possible_Values:[1, 2], Default_Value:[1]
# 1: HDD_DRIVE
# 2: NETWORK_DRIVE
#vtpl.das.permanent.job.storage.type: Possible_Values:[1, 2], Default_Value:[1]
# 1: HDD_DRIVE
# 2: NETWORK_DRIVE
#temp.toBeDeleted.sendNoImageAlways: Possible_Values:[true, false], Default_Value:[false]
#temp.toBeDeleted.sendNoImageOnFailure: Possible_Values:[true, false], Default_Value:[false]
#temp.toBeDeleted.trackHistoryRetentionInMinutes: Possible_Values:[> 0], Default_Value:[5]
#temp.toBeDeleted.ignoreInvalidTrackId: Possible_Values:[true, false], Default_Value:[true]
#temp.toBeDeleted.debugTracking: Possible_Values:[true, false], Default_Value:[false]
#temp.toBeDeleted.MAX_NUMBER_OF_EVENTS_IN_QUEUE: Possible_Values:[> 0], Default_Value:[5000]
#temp.toBeDeleted.CDAS_TO_FETCH_SNAP_FROM_EDAS_EVEN_CLOUD_ARCHIVE_SERVICE_AVAILABLE: Possible_Values:[true, false], Default_Value:[false]
#temp.toBeDeleted.MAX_NUMBER_OF_PARALLEL_SNAP_COMPOSERS: Possible_Values:[> 0], Default_Value:[10]
#vtpl.das.serverId: Possible_Values:[ip], vtpl.das.capabilities: Possible_Values:[numbers ',' separate], vtpl.das.capacity: Possible_Values:[number], vtpl.das.serverName: Possible_Values:[String], vtpl.das.privateIP: Possible_Values:[ip], vtpl.das.publicIP: Possible_Values:[ip] will connect to get the Push Data Analytic Server Status and Data Analytic Server Registration, vtpl.das.event.verifierIp: Possible_Values:[ip] will connect to event verifier server
#vtpl.das.snap.fetcher.parallel.thread: Possible_Values:[0, 1, 2, 3], Default_Value:[1]
# 0: Unknown
# 1: EDGE DAS(EDAS)
# 2: CLOUD DAS(CDAS)
# 3: ALL IN ONE(EDAS & CDAS Both), vtpl.das.event.bucket.name: Possible_Values:[String]
# vtpl.das.temporary.job.event.cleaningPolicy: Possible_Values:[0 or 1] 0 means FIFO and 1 means Retention time, vtpl.das.temporary.job.event.retention.thresholdUnit: Possible_Values:[0 or 1 or 2 or 3 or 4] 0 means Minute, 1 means Hour, 2 means Day, 3 means Month, 4 means Year, vtpl.das.temporary.job.event.retention.threshold: Possible_Value:[> 0]vtpl.das.temporary.job.event.retention.thresholdUnit and vtpl.das.temporary.job.event.retention.threshold require for cleaning policy Retention. Those are used to clean temporary job form database.
# vtpl.das.permanent.job.event.cleaningPolicy: Possible_Values:[0 or 1] 0 means FIFO and 1 means Retention time, vtpl.das.permanent.job.event.retention.thresholdUnit: Possible_Values:[0 or 1 or 2 or 3 or 4] 0 means Minute, 1 means Hour, 2 means Day, 3 means Month, 4 means Year, vtpl.das.permanent.job.event.retention.threshold: Possible_Value:[> 0]vtpl.das.permanent.job.event.retention.thresholdUnit and vtpl.das.permanent.job.event.retention.threshold require for cleaning policy Retention. Those are used to clean permanent job form database.
#vtpl.das.gcIntervalInMinutes: Possible_Values:[-1, > 0], Default_Value:[5]
# -1: Do not run GC
# > 0: In every specified minutes GC will be called
#####################
#
#Tue Sep 24 08:44:08 UTC 2024
vtpl.vms.grpc.api.server.ip=127.0.0.1
vtpl.das.serverId=DAS167A6BAF-45BB-42AB-BEF4-348A1
vtpl.das.capacity=16
vtpl.das.event.bucket.name=host-144
vtpl.snap.transcodeDecoderType=1
vtpl.das.capabilities=232,204
vtpl.das.resumePermanentJobFromSearchedCompletedTill=false
vtpl.das.storage.type=0
temp.toBeDeleted.sendNoImageOnFailure=false
vtpl.das.gcIntervalInMinutes=5
vtpl.vms.auxiliaryVmsIp=127.0.0.1
vtpl.das.temporary.job.event.retention.thresholdUnit=0
vtpl.das.snap.fetcher.parallel.thread=1
vtpl.das.temporary.job.event.retention.threshold=5
vtpl.das.temporary.job.storage.type=1
vtpl.das.ignorableDistance=5.0
vtpl.das.sleepToReduceCPUUtilization=-1
temp.toBeDeleted.debugTracking=false
vtpl.vms.snapManagerServerIp=127.0.0.1
temp.toBeDeleted.trackHistoryRetentionInMinutes=5
vtpl.das.limitInMsForPermanentJob=30000
vtpl.das.type=1
temp.toBeDeleted.MAX_NUMBER_OF_PARALLEL_SNAP_COMPOSERS=10
temp.toBeDeleted.MAX_NUMBER_OF_EVENTS_IN_QUEUE=5000
temp.toBeDeleted.CDAS_TO_FETCH_SNAP_FROM_EDAS_EVEN_CLOUD_ARCHIVE_SERVICE_AVAILABLE=false
vtpl.das.permanent.job.event.cleaningPolicy=1
vtpl.das.publicIP=127.0.0.1
temp.toBeDeleted.sendNoImageAlways=false
vtpl.das.limitInMsForTemporaryJob=300000
temp.toBeDeleted.ignoreInvalidTrackId=true
vtpl.das.event.verifierIp=127.0.0.1
vtpl.das.privateIP=127.0.0.1
vtpl.das.permanent.job.event.retention.threshold=7
vtpl.das.temporary.job.event.cleaningPolicy=1
vtpl.snap.imageDump=true
vtpl.das.snapToBeComposedByDAS=true
vtpl.das.permanent.job.storage.type=1
vtpl.ms.primaryVmsIp=127.0.0.1
vtpl.das.serverName=Data Analytic Server 138
vtpl.das.permanent.job.event.retention.thresholdUnit=2
vtpl.das.resumeJobFromSearchedCompletedTill=false
